#include "xeffecttable.h"

XImpactTable::XImpactTable()
    : XAsset()
    , mNamePtr(0)
    , mName("")
    , mTablePtr(0)
    , mTable()
{

}

XImpactTable::~XImpactTable()
{

}

void XImpactTable::Clear()
{
    mNamePtr = 0;
    mName = "";
    mTablePtr = 0;
    mTable = QVector<XFxImpactEntry>();
}

void XImpactTable::ParseData(QDataStream *aStream)
{

}
